<?php

namespace Superrobota;

use DB;
use Illuminate\Database\Seeder;

class HardskillTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('sectors')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'hardskill.sector.view',
                'name'      => 'View Sector',
            ],
            [
                'slug'      => 'hardskill.sector.create',
                'name'      => 'Create Sector',
            ],
            [
                'slug'      => 'hardskill.sector.edit',
                'name'      => 'Update Sector',
            ],
            [
                'slug'      => 'hardskill.sector.delete',
                'name'      => 'Delete Sector',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/hardskill/sector',
                'name'        => 'Sector',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/hardskill/sector',
                'name'        => 'Sector',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'sector',
                'name'        => 'Sector',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Hardskill',
                'module'    => 'Sector',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'hardskill.sector.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
