<?php

namespace Superrobota\Hardskill\Repositories\Eloquent;

use Superrobota\Hardskill\Interfaces\HardskillRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class HardskillRepository extends BaseRepository implements HardskillRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('superrobota.hardskill.hardskill.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('superrobota.hardskill.hardskill.model.model');
    }
}
