<?php

namespace Superrobota\Hardskill\Repositories\Eloquent;

use Superrobota\Hardskill\Interfaces\SectorRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class SectorRepository extends BaseRepository implements SectorRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('superrobota.hardskill.sector.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('superrobota.hardskill.sector.model.model');
    }
}
