Lavalite package that provides hardskill management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `superrobota/hardskill`.

    "superrobota/hardskill": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Superrobota\Hardskill\Providers\HardskillServiceProvider::class,

And also add it to alias

    'Hardskill'  => Superrobota\Hardskill\Facades\Hardskill::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Superrobota\\HardskillTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Superrobota\Hardskill\Providers\HardskillServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Superrobota\Hardskill\Providers\HardskillServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Superrobota\Hardskill\Providers\HardskillServiceProvider" --tag="view"


## Usage


