    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#sector" data-toggle="tab">{!! trans('hardskill::sector.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#hardskill-sector-edit'  data-load-to='#hardskill-sector-entry' data-datatable='#hardskill-sector-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#hardskill-sector-entry' data-href='{{guard_url('hardskill/sector')}}/{{$sector->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('hardskill-sector-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('hardskill/sector/'. $sector->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="sector">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('hardskill::sector.name') !!} [{!!$sector->name!!}] </div>
                @include('hardskill::admin.sector.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>